Namespace
library
Image / Tag
swift:6.1.0-focal-slim
Content Digest
sha256:e07ea6bb85ad7af52609331aa2cd50af2ce5226ec46780c8043ce2858ef9a953
Details
Created

2025-04-01 00:12:10 UTC

Size

94.1 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:13b7e930469f6d3575a320709035c6acf6f5485a76abcf03d1b92a64c09c2476 - 27.87% (26.2 MB)

[#001] sha256:c149ff17a351b40697b27e1f71f8183dc29241c753a689fa0b300ae2c73e0c16 - 22.59% (21.3 MB)

[#002] sha256:373fbae24e5a0b3753b316ad62520b8aaa8144012e95f36ad2839aa349dfbb57 - 49.54% (46.6 MB)


History
2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ADD file:f9ee450324e6ff2c946bc9aae5cf7e35e240dbd387d8b9f5ee1ed5b8434b9894 in /

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.1-release

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.1-RELEASE

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Details
Created

2025-04-01 00:12:10 UTC

Size

92.1 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:ecd83b6c354452b6a9979c7666bba16927f1e60e2afbfe6401dd6f87d5db8576 - 26.91% (24.8 MB)

[#001] sha256:903f3f45a36b4341896a6a860422e767ce8d6b963de01bd17e75cbfe9e4092eb - 22.87% (21.1 MB)

[#002] sha256:6a56846d20e62e5944c01d5a4c47076e6fe895f8a804905d758f0a26638f5a6e - 50.23% (46.2 MB)


History
2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG RELEASE

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) ADD file:2c90d89e4dd4e1d2473deca816f585a78ced2a0c5c799399810f86fdbb17ac7e in /

2025-04-01 00:12:10 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y libcurl4 libxml2 tzdata && rm -r /var/lib/apt/lists/* # buildkit

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.1-release

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.1-RELEASE

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2025-04-01 00:12:10 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-6.1-release SWIFT_VERSION=swift-6.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl gnupg && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl gnupg # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete